#ifndef MARS_MIslands
#define MARS_MIslands

#ifndef MARS_MParContainer
#include "MParContainer.h"
#endif

#ifndef MARS_MHCamera
#include "MHCamera.h"
#endif

class TList;

class MImgIsland;

class MIslands : public MParContainer
{
 private:

  TList*  fIslands;  //-> FIXME: Change TClonesArray away from a pointer?

  //MHCamera fDisplay;
  
  Int_t fIslNum; 

 public:

  MIslands(const char *name=NULL, const char *title=NULL);
  ~MIslands();

  MImgIsland &operator[] (Int_t i);
  const MImgIsland &operator[] (Int_t i) const;

  TList* GetList() const { return fIslands; }
  UInt_t GetIslNum() const { return fIslands->GetSize(); } //number of islands

  void SetIslNum    (Int_t   i)   { fIslNum = i; }

  //  MHCamera& GetDisplay() { return fDisplay; }

  //  void Paint(Option_t *o=NULL);
  void Print(Option_t *o=NULL) const;

  ClassDef(MIslands, 1)	// Storage Container for islands
};

#endif
